SuSE9 Security Update : IBM Java2 JRE and SDK (YOU Patch Number 12511)

High Nessus Plugin ID 41954


The remote SuSE 9 host is missing a security-related patch.


IBM Java 1.4.2 was updated to SR13 FP1.

It fixes following two security issues :

- A vulnerability in the Java Runtime Environment (JRE) with parsing XML data might allow a remote client to create a denial-of-service condition on the system that the JRE runs on. (CVE-2009-2625)

- A vulnerability in how the Java Runtime Environment (JRE) handles certain RSA public keys might cause the JRE to consume an excessive amount of CPU resources.
This might lead to a Denial of Service (DoS) condition on affected systems. Such keys could be provided by a remote client of an application. (CVE-2008-5349)

This issue affects the following security providers: IBMJCE, IBMPKCS11Impl and IBMJCEFIPS.


Apply YOU patch number 12511.

See Also

Plugin Details

Severity: High

ID: 41954

File Name: suse9_12511.nasl

Version: $Revision: 1.8 $

Type: local

Agent: unix

Published: 2009/10/01

Modified: 2012/06/14

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:C

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2009/09/23

Reference Information

CVE: CVE-2008-5349, CVE-2009-2625

CWE: 264